Skip to main content
GET
Get a provider configuration

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id_or_name
string
required

Provider configuration ID or name in the organization.

Response

Provider configuration without secret credentials

Response schema for a Link configuration, without secret credentials. Kernel generates the ID and timestamps. Configuration creation uses VaultLinkProviderConfigRequest.

client_id
string
required

OAuth client identity; immutable. Secret credentials are never returned.

created_at
string<date-time>
required
read-only
id
string
required
read-only
name
string
required

Unique within the organization.

Pattern: ^[a-zA-Z0-9._-]{1,255}$
provider
enum<string>
required
Available options:
link
updated_at
string<date-time>
required
read-only